EUCA-CREATE-ROUTE(1)

NAME
euca-create-route - Add a route to a VPC route table

SYNOPSIS
euca-create-route -r CIDR

(-g GATEWAY | -i INSTANCE | -n NETWORKINTERFACEID | -p PEERCON)
    [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] RTABLE

DESCRIPTION
Add a route to a VPC route table

  positional arguments:

RTABLE
    ID of the route table to add the route to (required)

  optional arguments:

-r CIDR, --cidr CIDR
    CIDR address block the route should affect (required)

-g GATEWAY, --gateway-id GATEWAY
    ID of an Internet, NAT, or virtual private gateway to target

-i INSTANCE, --instance INSTANCE
    ID of a NAT instance to target

-n NETWORKINTERFACEID, --network-interface NETWORKINTERFACEID
    ID of a network interface to target

-p PEERCON, --vpc-peering-connection PEERCON
    ID of a VPC peering connection to target

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit